org.apache.ode.jacob.vpu

## Class ExecutionQueueImpl.ExecutionQueueInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.ObjectInputStream
    - - org.apache.ode.jacob.vpu.ExecutionQueueImpl.ExecutionQueueInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.DataInput, java.io.ObjectInput, java.io.ObjectStreamConstants, java.lang.AutoCloseable
  Enclosing class:
    ExecutionQueueImpl

      public class ExecutionQueueImpl.ExecutionQueueInputStream
      extends java.io.ObjectInputStream

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.io.ObjectInputStream

      `java.io.ObjectInputStream.GetField`

  - ### Field Summary

    - ### Fields inherited from interface java.io.ObjectStreamConstants

      `baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutionQueueImpl.ExecutionQueueInputStream(java.io.InputStream in)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<CommChannel>` | `getSerializedChannels()`
    `protected java.io.ObjectStreamClass` | `readClassDescriptor()`
    `protected java.lang.Class<?>` | `resolveClass(java.io.ObjectStreamClass desc)`
    `protected java.lang.Object` | `resolveObject(java.lang.Object obj)`

    - ### Methods inherited from class java.io.ObjectInputStream

      `available, close, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveProxyClass, skipBytes`

    - ### Methods inherited from class java.io.InputStream

      `mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.ObjectInput

      `read, skip`

- - ### Constructor Detail

    - #### ExecutionQueueImpl.ExecutionQueueInputStream

          public ExecutionQueueImpl.ExecutionQueueInputStream(java.io.InputStream in)
                                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getSerializedChannels

          public java.util.Set<CommChannel> getSerializedChannels()

    - #### resolveClass

          protected java.lang.Class<?> resolveClass(java.io.ObjectStreamClass desc)
                                             throws java.io.IOException,
                                                    java.lang.ClassNotFoundException

      Overrides:
        `resolveClass` in class `java.io.ObjectInputStream`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### readClassDescriptor

          protected java.io.ObjectStreamClass readClassDescriptor()
                                                           throws java.io.IOException,
                                                                  java.lang.ClassNotFoundException

      Overrides:
        `readClassDescriptor` in class `java.io.ObjectInputStream`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### resolveObject

          protected java.lang.Object resolveObject(java.lang.Object obj)
                                            throws java.io.IOException

      Overrides:
        `resolveObject` in class `java.io.ObjectInputStream`
      Throws:
        `java.io.IOException`